<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>Khepera Library: kb_fifo.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="kteamdoxy.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Khepera Library
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('kb__fifo_8c.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">kb_fifo.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This API is a simple Fifo.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
Include dependency graph for kb_fifo.c:</div>
<div class="dyncontent">
<div class="center"><img src="kb__fifo_8c__incl.png" border="0" usemap="#kb__fifo_8c" alt=""/></div>
<map name="kb__fifo_8c" id="kb__fifo_8c">
<area shape="rect" id="node4" href="kb__fifo_8h.html" title="kb_fifo.h" alt="" coords="174,80,244,107"/><area shape="rect" id="node5" href="kb__cel_8h.html" title="kb_cel.h" alt="" coords="174,155,244,181"/></map>
</div>
</div>
<p><a href="kb__fifo_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a653ed97d5d6185c333ea6eb08b10a13b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="kb__fifo_8c.html#a653ed97d5d6185c333ea6eb08b10a13b">kb_fifo_fifoEmpty</a> ()</td></tr>
<tr class="separator:a653ed97d5d6185c333ea6eb08b10a13b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af70622515a4a2a566891bc29ac8cf783"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="kb__fifo_8c.html#af70622515a4a2a566891bc29ac8cf783">kb_fifo_length</a> (<a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a> F)</td></tr>
<tr class="separator:af70622515a4a2a566891bc29ac8cf783"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0860111c9ef37f8aa26d81cf29c4ae6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="kb__fifo_8c.html#ab0860111c9ef37f8aa26d81cf29c4ae6">kb_fifo_enqueue</a> (<a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a> F, int elt)</td></tr>
<tr class="separator:ab0860111c9ef37f8aa26d81cf29c4ae6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea20520a937198a24d0fde1e0c9f12a6"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="kb__fifo_8c.html#aea20520a937198a24d0fde1e0c9f12a6">kb_fifo_head</a> (<a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a> F)</td></tr>
<tr class="separator:aea20520a937198a24d0fde1e0c9f12a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a596966aa67631eac86b4d18bd2224459"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="kb__fifo_8c.html#a596966aa67631eac86b4d18bd2224459">kb_fifo_remove</a> (<a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a> F)</td></tr>
<tr class="separator:a596966aa67631eac86b4d18bd2224459"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb87213d01bb1c4ba5b630e2160b575a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="kb__fifo_8c.html#aeb87213d01bb1c4ba5b630e2160b575a">kb_fifo_dequeue</a> (<a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a> F)</td></tr>
<tr class="separator:aeb87213d01bb1c4ba5b630e2160b575a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1349e448870144540598cb58dcd72d9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="kb__fifo_8c.html#ac1349e448870144540598cb58dcd72d9">kb_fifo_copy</a> (<a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a> F)</td></tr>
<tr class="separator:ac1349e448870144540598cb58dcd72d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27a5f54405110ea3625142c014c38a7b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="kb__fifo_8c.html#a27a5f54405110ea3625142c014c38a7b">kb_fifo_printFifo</a> (<a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a> F)</td></tr>
<tr class="separator:a27a5f54405110ea3625142c014c38a7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This API is a simple Fifo. </p>
<p>library for Fifo (first in first out).</p>
<dl class="section author"><dt>Author</dt><dd>Baptiste Berger (K-Team SA)</dd></dl>
<dl class="section note"><dt>Note</dt><dd>Copyright (C) 2005 K-TEAM SA </dd></dl>
<dl class="bug"><dt><b><a class="el" href="bug.html#_bug000005">Bug:</a></b></dt><dd>none discovered. </dd></dl>
<dl class="todo"><dt><b><a class="el" href="todo.html#_todo000005">Todo:</a></b></dt><dd>nothing. </dd></dl>

<p>Definition in file <a class="el" href="kb__fifo_8c_source.html">kb_fifo.c</a>.</p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ac1349e448870144540598cb58dcd72d9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a> kb_fifo_copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a>&#160;</td>
          <td class="paramname"><em>F</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function copy the fifo and return the clone.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">F</td><td>Fifo Queue </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the Fifo Clone </dd></dl>

<p>Definition at line <a class="el" href="kb__fifo_8c_source.html#l00151">151</a> of file <a class="el" href="kb__fifo_8c_source.html">kb_fifo.c</a>.</p>

<p>References <a class="el" href="kb__cel_8h_source.html#l00009">_cel::elt</a>, <a class="el" href="kb__fifo_8h_source.html#l00012">_fifo::head</a>, <a class="el" href="kb__fifo_8c_source.html#l00062">kb_fifo_enqueue()</a>, <a class="el" href="kb__fifo_8c_source.html#l00032">kb_fifo_fifoEmpty()</a>, and <a class="el" href="kb__cel_8h_source.html#l00010">_cel::next</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="kb__fifo_8c_ac1349e448870144540598cb58dcd72d9_cgraph.png" border="0" usemap="#kb__fifo_8c_ac1349e448870144540598cb58dcd72d9_cgraph" alt=""/></div>
<map name="kb__fifo_8c_ac1349e448870144540598cb58dcd72d9_cgraph" id="kb__fifo_8c_ac1349e448870144540598cb58dcd72d9_cgraph">
<area shape="rect" id="node2" href="kb__fifo_8c.html#ab0860111c9ef37f8aa26d81cf29c4ae6" title="kb_fifo_enqueue" alt="" coords="151,5,267,32"/><area shape="rect" id="node4" href="kb__fifo_8c.html#a653ed97d5d6185c333ea6eb08b10a13b" title="kb_fifo_fifoEmpty" alt="" coords="149,56,269,83"/><area shape="rect" id="node3" href="kb__fifo_8c.html#af70622515a4a2a566891bc29ac8cf783" title="kb_fifo_length" alt="" coords="318,5,421,32"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aeb87213d01bb1c4ba5b630e2160b575a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int kb_fifo_dequeue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a>&#160;</td>
          <td class="paramname"><em>F</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function dequeue and return the head element in the fifo.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">F</td><td>Fifo Queue </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the head element </dd></dl>

<p>Definition at line <a class="el" href="kb__fifo_8c_source.html#l00124">124</a> of file <a class="el" href="kb__fifo_8c_source.html">kb_fifo.c</a>.</p>

<p>References <a class="el" href="kb__cel_8h_source.html#l00009">_cel::elt</a>, <a class="el" href="kb__fifo_8h_source.html#l00012">_fifo::head</a>, <a class="el" href="kb__fifo_8c_source.html#l00050">kb_fifo_length()</a>, <a class="el" href="kb__fifo_8h_source.html#l00011">_fifo::length</a>, <a class="el" href="kb__fifo_8h_source.html#l00010">_fifo::mutex</a>, <a class="el" href="kb__cel_8h_source.html#l00010">_cel::next</a>, and <a class="el" href="kb__fifo_8h_source.html#l00012">_fifo::queue</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="kb__fifo_8c_aeb87213d01bb1c4ba5b630e2160b575a_cgraph.png" border="0" usemap="#kb__fifo_8c_aeb87213d01bb1c4ba5b630e2160b575a_cgraph" alt=""/></div>
<map name="kb__fifo_8c_aeb87213d01bb1c4ba5b630e2160b575a_cgraph" id="kb__fifo_8c_aeb87213d01bb1c4ba5b630e2160b575a_cgraph">
<area shape="rect" id="node2" href="kb__fifo_8c.html#af70622515a4a2a566891bc29ac8cf783" title="kb_fifo_length" alt="" coords="171,5,274,32"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ab0860111c9ef37f8aa26d81cf29c4ae6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void kb_fifo_enqueue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a>&#160;</td>
          <td class="paramname"><em>F</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>elt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function enqueue a element in the fifo.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">F</td><td>Fifo Queue </td></tr>
    <tr><td class="paramname">elt</td><td>is the pointer of elt </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="kb__fifo_8c_source.html#l00062">62</a> of file <a class="el" href="kb__fifo_8c_source.html">kb_fifo.c</a>.</p>

<p>References <a class="el" href="kb__cel_8h_source.html#l00009">_cel::elt</a>, <a class="el" href="kb__fifo_8h_source.html#l00012">_fifo::head</a>, <a class="el" href="kb__fifo_8c_source.html#l00050">kb_fifo_length()</a>, <a class="el" href="kb__fifo_8h_source.html#l00010">_fifo::mutex</a>, <a class="el" href="kb__cel_8h_source.html#l00010">_cel::next</a>, and <a class="el" href="kb__fifo_8h_source.html#l00012">_fifo::queue</a>.</p>

<p>Referenced by <a class="el" href="kb__fifo_8c_source.html#l00151">kb_fifo_copy()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="kb__fifo_8c_ab0860111c9ef37f8aa26d81cf29c4ae6_cgraph.png" border="0" usemap="#kb__fifo_8c_ab0860111c9ef37f8aa26d81cf29c4ae6_cgraph" alt=""/></div>
<map name="kb__fifo_8c_ab0860111c9ef37f8aa26d81cf29c4ae6_cgraph" id="kb__fifo_8c_ab0860111c9ef37f8aa26d81cf29c4ae6_cgraph">
<area shape="rect" id="node2" href="kb__fifo_8c.html#af70622515a4a2a566891bc29ac8cf783" title="kb_fifo_length" alt="" coords="171,5,274,32"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a653ed97d5d6185c333ea6eb08b10a13b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a> kb_fifo_fifoEmpty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function return a Empty Fifo</p>
<dl class="section return"><dt>Returns</dt><dd>The Empty Fifo </dd></dl>

<p>Definition at line <a class="el" href="kb__fifo_8c_source.html#l00032">32</a> of file <a class="el" href="kb__fifo_8c_source.html">kb_fifo.c</a>.</p>

<p>References <a class="el" href="kb__fifo_8h_source.html#l00012">_fifo::head</a>, <a class="el" href="kb__fifo_8h_source.html#l00011">_fifo::length</a>, <a class="el" href="kb__fifo_8h_source.html#l00010">_fifo::mutex</a>, and <a class="el" href="kb__fifo_8h_source.html#l00012">_fifo::queue</a>.</p>

<p>Referenced by <a class="el" href="kb__fifo_8c_source.html#l00151">kb_fifo_copy()</a>.</p>

</div>
</div>
<a class="anchor" id="aea20520a937198a24d0fde1e0c9f12a6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int kb_fifo_head </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a>&#160;</td>
          <td class="paramname"><em>F</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function return, but not dequeue the head element in the fifo.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">F</td><td>Fifo Queue </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the head element </dd></dl>

<p>Definition at line <a class="el" href="kb__fifo_8c_source.html#l00089">89</a> of file <a class="el" href="kb__fifo_8c_source.html">kb_fifo.c</a>.</p>

<p>References <a class="el" href="kb__cel_8h_source.html#l00009">_cel::elt</a>, <a class="el" href="kb__fifo_8h_source.html#l00012">_fifo::head</a>, and <a class="el" href="kb__fifo_8c_source.html#l00050">kb_fifo_length()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="kb__fifo_8c_aea20520a937198a24d0fde1e0c9f12a6_cgraph.png" border="0" usemap="#kb__fifo_8c_aea20520a937198a24d0fde1e0c9f12a6_cgraph" alt=""/></div>
<map name="kb__fifo_8c_aea20520a937198a24d0fde1e0c9f12a6_cgraph" id="kb__fifo_8c_aea20520a937198a24d0fde1e0c9f12a6_cgraph">
<area shape="rect" id="node2" href="kb__fifo_8c.html#af70622515a4a2a566891bc29ac8cf783" title="kb_fifo_length" alt="" coords="150,5,253,32"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="af70622515a4a2a566891bc29ac8cf783"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int kb_fifo_length </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a>&#160;</td>
          <td class="paramname"><em>F</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function return the length of a Fifo queue.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">F</td><td>Fifo Queue </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the size of Fifo Queue </dd></dl>

<p>Definition at line <a class="el" href="kb__fifo_8c_source.html#l00050">50</a> of file <a class="el" href="kb__fifo_8c_source.html">kb_fifo.c</a>.</p>

<p>References <a class="el" href="kb__fifo_8h_source.html#l00011">_fifo::length</a>.</p>

<p>Referenced by <a class="el" href="kb__fifo_8c_source.html#l00124">kb_fifo_dequeue()</a>, <a class="el" href="kb__fifo_8c_source.html#l00062">kb_fifo_enqueue()</a>, <a class="el" href="kb__fifo_8c_source.html#l00089">kb_fifo_head()</a>, and <a class="el" href="kb__fifo_8c_source.html#l00100">kb_fifo_remove()</a>.</p>

</div>
</div>
<a class="anchor" id="a27a5f54405110ea3625142c014c38a7b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void kb_fifo_printFifo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a>&#160;</td>
          <td class="paramname"><em>F</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function print a Fifo (but this fonction is only with int element)</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">F</td><td>Fifo Queue </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="kb__fifo_8c_source.html#l00177">177</a> of file <a class="el" href="kb__fifo_8c_source.html">kb_fifo.c</a>.</p>

<p>References <a class="el" href="kb__cel_8h_source.html#l00009">_cel::elt</a>, <a class="el" href="kb__fifo_8h_source.html#l00012">_fifo::head</a>, and <a class="el" href="kb__cel_8h_source.html#l00010">_cel::next</a>.</p>

</div>
</div>
<a class="anchor" id="a596966aa67631eac86b4d18bd2224459"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void kb_fifo_remove </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="kb__fifo_8h.html#afc3d39149b5eb2a6aa005e64baea9d2e">Fifo</a>&#160;</td>
          <td class="paramname"><em>F</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function remove the head element in the fifo.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">F</td><td>Fifo Queue </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="kb__fifo_8c_source.html#l00100">100</a> of file <a class="el" href="kb__fifo_8c_source.html">kb_fifo.c</a>.</p>

<p>References <a class="el" href="kb__fifo_8h_source.html#l00012">_fifo::head</a>, <a class="el" href="kb__fifo_8c_source.html#l00050">kb_fifo_length()</a>, <a class="el" href="kb__fifo_8h_source.html#l00011">_fifo::length</a>, <a class="el" href="kb__fifo_8h_source.html#l00010">_fifo::mutex</a>, <a class="el" href="kb__cel_8h_source.html#l00010">_cel::next</a>, and <a class="el" href="kb__fifo_8h_source.html#l00012">_fifo::queue</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="kb__fifo_8c_a596966aa67631eac86b4d18bd2224459_cgraph.png" border="0" usemap="#kb__fifo_8c_a596966aa67631eac86b4d18bd2224459_cgraph" alt=""/></div>
<map name="kb__fifo_8c_a596966aa67631eac86b4d18bd2224459_cgraph" id="kb__fifo_8c_a596966aa67631eac86b4d18bd2224459_cgraph">
<area shape="rect" id="node2" href="kb__fifo_8c.html#af70622515a4a2a566891bc29ac8cf783" title="kb_fifo_length" alt="" coords="163,5,266,32"/></map>
</div>
</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="kb__fifo_8c.html">kb_fifo.c</a></li>
    <li class="footer">Generated on Wed Jul 6 2016 19:39:18 for Khepera Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.6 </li>
  </ul>
</div>
</body>
</html>
